CVE-2014-1268

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

WebKit, as used in Apple Safari before 6.1.2 and 7.x before 7.0.2, allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption and application crash) via a crafted web site, a different vulnerability than CVE-2014-1269 and CVE-2014-1270.

References

http://support.apple.com/kb/HT6145

https://support.apple.com/kb/HT6537

Details

Source: MITRE

Published: 2014-02-27

Updated: 2016-12-08

Type: CWE-119

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:apple:safari:6.0:*:*:*:*:*:*:*

cpe:2.3:a:apple:safari:6.0.1:*:*:*:*:*:*:*

cpe:2.3:a:apple:safari:6.0.2:*:*:*:*:*:*:*

cpe:2.3:a:apple:safari:6.0.3:*:*:*:*:*:*:*

cpe:2.3:a:apple:safari:6.0.4:*:*:*:*:*:*:*

cpe:2.3:a:apple:safari:6.0.5:*:*:*:*:*:*:*

cpe:2.3:a:apple:safari:6.1:*:*:*:*:*:*:*

cpe:2.3:a:apple:safari:*:*:*:*:*:*:*:* versions up to 6.1.1 (inclusive)

cpe:2.3:a:apple:safari:7.0:*:*:*:*:*:*:*

cpe:2.3:a:apple:safari:7.0.1:*:*:*:*:*:*:*

cpe:2.3:a:apple:webkit:*:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.7.0:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.7.1:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.7.2:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.7.3:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.7.4:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.7.5:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.8.0:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.8.1:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.8.2:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.8.3:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.8.4:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.8.5:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.8.5:supplemental_update:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.9:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x:10.9.1:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x_server:10.7.0:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x_server:10.7.1:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x_server:10.7.2:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x_server:10.7.3:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x_server:10.7.4:*:*:*:*:*:*:*

cpe:2.3:o:apple:mac_os_x_server:10.7.5:*:*:*:*:*:*:*

Tenable Plugins

View all (5 total)

IDNameProductFamilySeverity
78598Apple iTunes < 12.0.1 Multiple Vulnerabilities (uncredentialed check)NessusPeer-To-Peer File Sharing
critical
78597Apple iTunes < 12.0.1 Multiple Vulnerabilities (credentialed check)NessusWindows
critical
8561iTunes < 12.0.1 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
critical
8137Safari < 6.1.2 / 7.0.2 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
medium
72689Mac OS X : Apple Safari < 6.1.2 / 7.0.2 Multiple Memory Corruption VulnerabilitiesNessusMacOS X Local Security Checks
medium